@import url("https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap");
/* Minimal reset compatible Tailwind */
html {
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-family: "DM Sans", sans-serif !important;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

body {
  font-family: "DM Sans", sans-serif !important;
  margin: 0;
  color: #222;
}

/* Légèrement stylise les liens pour cohérence */

a {
  cursor: pointer;
}

a:hover,
a:focus {
  outline-offset: 2px;
}

input[type="radio"],
input[type="checkbox"] {
  vertical-align: middle;
}

/* Labels pointer et user-select */

label {
  user-select: none;
}

button[type="submit"] {
  cursor: pointer !important;
}

input,
select,
textarea {
  outline: none !important;
  /* background: transparent; */
  padding: 8px;
  width: 100%;
  font-size: 1rem;
  transition: border-color 0.3s ease;
  position: relative;
}
input:focus::after,
select:focus::after,
textarea:focus::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 2px;
  width: 100%;
  animation: slideIn 0.3s forwards;
  pointer-events: none;
}

input,
select,
textarea {
  position: relative;
}

input::after,
select::after,
textarea::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 2px;
  width: 0;
  border-color: #f97316;
  transition: width 0.3s ease;
  pointer-events: none;
}

input:focus::after,
select:focus::after,
textarea:focus::after {
  width: 100%;
}

@keyframes slideIn {
  from {
    width: 0;
    left: 0;
  }
  to {
    width: 100%;
    left: 0;
  }
}
